gsl Namespace Reference

## Data Structures

class | C1DWavelet
class | CFDFMinimizer
class | CFMinimizer
class | const_matrix_iterator
class | const_vector_iterator
class | ConstVectorView
struct | CSymmvEvalEvec
class | Matrix
class | matrix_iterator
class | PCA
| This class implements Principal Component Analysis. More...
class | Vector
class | vector_iterator
class | VectorView

## Enumerations

enum | EWaveletType { wt_haar , wt_haar_centered , wt_daubechies , wt_daubechies_centered , wt_bspline , wt_bspline_centered , wt_none }

## Functions

double EXPORT_GSL | dot (const gsl_vector *lhs, const gsl_vector *rhs)
void EXPORT_GSL | matrix_inv_sqrt (Matrix &m)
void EXPORT_GSL | matrix_orthogonalize (Matrix &M)
void EXPORT_GSL | multiply_m_m (Matrix &result, const Matrix &lhs, const Matrix &rhs)
void EXPORT_GSL | multiply_m_mT (Matrix &result, const Matrix &lhs, const Matrix &rhs)
void EXPORT_GSL | multiply_m_v (Vector &result, const Matrix &rhs, const Vector &lhs)
void EXPORT_GSL | multiply_mT_m (Matrix &result, const Matrix &lhs, const Matrix &rhs)
void EXPORT_GSL | multiply_v_m (Vector &result, const Vector &lhs, const Matrix &rhs)
bool EXPORT_GSL | operator!= (const const_matrix_iterator &lhs, const const_matrix_iterator &rhs)
bool EXPORT_GSL | operator!= (const matrix_iterator &lhs, const matrix_iterator &rhs)
Matrix EXPORT_GSL | operator* (const Matrix &lhs, const Matrix &rhs)
Vector | operator* (const Vector &lhs, double f)
const_vector_iterator | operator+ (const const_vector_iterator &it, int dist)
Matrix EXPORT_GSL | operator+ (const Matrix &lhs, const Matrix &rhs)
Vector | operator+ (const Vector &lhs, const Vector &rhs)
vector_iterator | operator+ (const vector_iterator &it, int dist)
const_vector_iterator | operator+ (int dist, const const_vector_iterator &it)
vector_iterator | operator+ (int dist, const vector_iterator &it)
const_vector_iterator | operator- (const const_vector_iterator &it, int dist)
Matrix EXPORT_GSL | operator- (const Matrix &lhs, const Matrix &rhs)
Vector | operator- (const Vector &lhs, const Vector &rhs)
vector_iterator | operator- (const vector_iterator &it, int dist)
std::ostream & | operator<< (std::ostream &os, const Matrix &m)
std::ostream & | operator<< (std::ostream &os, const Vector &v)
bool EXPORT_GSL | operator== (const const_matrix_iterator &lhs, const const_matrix_iterator &rhs)
bool EXPORT_GSL | operator== (const matrix_iterator &lhs, const matrix_iterator &rhs)

## Enumeration Type Documentation

## EWaveletType

enum gsl::EWaveletType

Enumerator
wt_haar |
wt_haar_centered |
wt_daubechies |
wt_daubechies_centered |
wt_bspline |
wt_bspline_centered |
wt_none |

Definition at line 31 of file gsl_wavelet.hh.

## Function Documentation

## dot()

double EXPORT_GSL gsl::dot | ( | const gsl_vector * | lhs,
|  | const gsl_vector * | rhs )

References EXPORT_GSL.

## matrix_inv_sqrt()

void EXPORT_GSL gsl::matrix_inv_sqrt | ( | Matrix & | m | ) |

Evaluate in place: pow(m, -0.5);

References EXPORT_GSL.

## matrix_orthogonalize()

void EXPORT_GSL gsl::matrix_orthogonalize | ( | Matrix & | M | ) |

References EXPORT_GSL.

## multiply_m_m()

void EXPORT_GSL gsl::multiply_m_m | ( | Matrix & | result,
|  | const Matrix & | lhs,
|  | const Matrix & | rhs )

References EXPORT_GSL.

## multiply_m_mT()

void EXPORT_GSL gsl::multiply_m_mT | ( | Matrix & | result,
|  | const Matrix & | lhs,
|  | const Matrix & | rhs )

References EXPORT_GSL.

## multiply_m_v()

void EXPORT_GSL gsl::multiply_m_v | ( | Vector & | result,
|  | const Matrix & | rhs,
|  | const Vector & | lhs )

References EXPORT_GSL.

## multiply_mT_m()

void EXPORT_GSL gsl::multiply_mT_m | ( | Matrix & | result,
|  | const Matrix & | lhs,
|  | const Matrix & | rhs )

References EXPORT_GSL.

## multiply_v_m()

void EXPORT_GSL gsl::multiply_v_m | ( | Vector & | result,
|  | const Vector & | lhs,
|  | const Matrix & | rhs )

References EXPORT_GSL.

## operator!=() [1/2]

bool EXPORT_GSL gsl::operator!= | ( | const const_matrix_iterator & | lhs,
|  | const const_matrix_iterator & | rhs )

References EXPORT_GSL.

## operator!=() [2/2]

bool EXPORT_GSL gsl::operator!= | ( | const matrix_iterator & | lhs,
|  | const matrix_iterator & | rhs )

References EXPORT_GSL.

## operator*() [1/2]

Matrix EXPORT_GSL gsl::operator* | ( | const Matrix & | lhs,
|  | const Matrix & | rhs )

References EXPORT_GSL.

## operator*() [2/2]

Vector gsl::operator* | ( | const Vector & | lhs,
|  | double | f )

inline

Definition at line 216 of file gsl_vector.hh.

## operator+() [1/6]

const_vector_iterator gsl::operator+ | ( | const const_vector_iterator & | it,
|  | int | dist )

inline

Definition at line 300 of file gsl_iterator.hh.

## operator+() [2/6]

Matrix EXPORT_GSL gsl::operator+ | ( | const Matrix & | lhs,
|  | const Matrix & | rhs )

References EXPORT_GSL.

## operator+() [3/6]

Vector gsl::operator+ | ( | const Vector & | lhs,
|  | const Vector & | rhs )

inline

Definition at line 202 of file gsl_vector.hh.

## operator+() [4/6]

vector_iterator gsl::operator+ | ( | const vector_iterator & | it,
|  | int | dist )

inline

Definition at line 148 of file gsl_iterator.hh.

## operator+() [5/6]

const_vector_iterator gsl::operator+ | ( | int | dist,
|  | const const_vector_iterator & | it )

inline

Definition at line 314 of file gsl_iterator.hh.

## operator+() [6/6]

vector_iterator gsl::operator+ | ( | int | dist,
|  | const vector_iterator & | it )

inline

Definition at line 162 of file gsl_iterator.hh.

## operator-() [1/4]

const_vector_iterator gsl::operator- | ( | const const_vector_iterator & | it,
|  | int | dist )

inline

Definition at line 307 of file gsl_iterator.hh.

## operator-() [2/4]

Matrix EXPORT_GSL gsl::operator- | ( | const Matrix & | lhs,
|  | const Matrix & | rhs )

References EXPORT_GSL.

## operator-() [3/4]

Vector gsl::operator- | ( | const Vector & | lhs,
|  | const Vector & | rhs )

inline

Definition at line 209 of file gsl_vector.hh.

## operator-() [4/4]

vector_iterator gsl::operator- | ( | const vector_iterator & | it,
|  | int | dist )

inline

Definition at line 155 of file gsl_iterator.hh.

## operator<<() [1/2]

std::ostream & gsl::operator<< | ( | std::ostream & | os,
|  | const Matrix & | m )

inline

Definition at line 459 of file gsl_matrix.hh.

References gsl::Matrix::print().

## operator<<() [2/2]

std::ostream & gsl::operator<< | ( | std::ostream & | os,
|  | const Vector & | v )

inline

Definition at line 291 of file gsl_vector.hh.

References gsl::Vector::print().

## operator==() [1/2]

bool EXPORT_GSL gsl::operator== | ( | const const_matrix_iterator & | lhs,
|  | const const_matrix_iterator & | rhs )

References EXPORT_GSL.

## operator==() [2/2]

bool EXPORT_GSL gsl::operator== | ( | const matrix_iterator & | lhs,
|  | const matrix_iterator & | rhs )

References EXPORT_GSL.